Bug 998128 - After installing rabbitvcs-nautilus and rabbitvcs-gedit, nothing happens
Summary: After installing rabbitvcs-nautilus and rabbitvcs-gedit, nothing happens
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rabbitvcs
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Juan Manuel Rodriguez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 919910
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-17 14:05 UTC by Yajo
Modified: 2015-01-21 20:09 UTC (History)
4 users (show)

Fixed In Version: rabbitvcs-0.16-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-26 05:31:11 UTC


Attachments (Terms of Use)

Description Yajo 2013-08-17 14:05:29 UTC
Description of problem:
No extensions available.


Version-Release number of selected component (if applicable):
rabbitvcs-nautilus-0.15.0.5-3.fc19.x86_64
rabbitvcs-gedit-0.15.0.5-3.fc19.x86_64


How reproducible:
Install it. No right-button menu entries.

Comment 1 Steven Marks 2013-08-19 21:42:18 UTC
I can confirm this. I did a little research and found these 2 bugs on from RabbitCVS:

https://code.google.com/p/rabbitvcs/issues/detail?id=759
https://code.google.com/p/rabbitvcs/issues/detail?id=798

Which seem to explain these some in compatibility with older version of RabbitCVS and Gnome 3.8.
eems to fix this problem
Also there seems to be 0.15.3 out (seems to fix this problem) and we are still using 0.15.0 (From Nov 2011). Which is pretty outdated.

Comment 2 Fedora Update System 2014-03-13 04:23:42 UTC
rabbitvcs-0.16-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rabbitvcs-0.16-1.fc20

Comment 3 Fedora Update System 2014-03-13 04:24:09 UTC
rabbitvcs-0.16-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rabbitvcs-0.16-1.fc19

Comment 4 Fedora Update System 2014-03-15 15:02:59 UTC
Package rabbitvcs-0.16-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rabbitvcs-0.16-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3833/rabbitvcs-0.16-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-03-26 05:31:11 UTC
rabbitvcs-0.16-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-03-26 05:32:36 UTC
rabbitvcs-0.16-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Yajo 2014-03-30 08:55:22 UTC
After updating, rabbitvcs-nautilus seems to work, but rabbitvcs-gedit fails with this error when opening Gedit and enabling the plugin:

(gedit:5360): libpeas-WARNING **: Could not find loader 'python' for plugin 'rabbitvcs-plugin'

However I don't know if this is a separate bug...

Comment 8 Christopher Meng 2014-04-01 00:36:19 UTC
(In reply to Yajo from comment #7)
> After updating, rabbitvcs-nautilus seems to work, but rabbitvcs-gedit fails
> with this error when opening Gedit and enabling the plugin:
> 
> (gedit:5360): libpeas-WARNING **: Could not find loader 'python' for plugin
> 'rabbitvcs-plugin'
> 
> However I don't know if this is a separate bug...

Confirmed, and the plugin is unusable.

Please fill a new bug, I will fix it.

Comment 9 Craig 2015-01-21 20:09:52 UTC
The rabbitvcs-gedit bug was reported as bug 1082942


Note You need to log in before you can comment on or make changes to this bug.